Bug 443070 - Xorg: regression in boot time..
Xorg: regression in boot time..
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443068
  Show dependency treegraph
 
Reported: 2008-04-18 10:15 EDT by Harald Hoyer
Modified: 2009-09-21 16:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 14:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (798.47 KB, text/plain)
2008-04-18 12:46 EDT, Harald Hoyer
no flags Details

  None (edit)
Description Harald Hoyer 2008-04-18 10:15:09 EDT
see F8 X11 -> gdm-greeter time:
https://www.harald-hoyer.de/linux/bootcharts/f8-bootchart-3.svg

compared to F9 preview:
https://www.harald-hoyer.de/linux/bootcharts/f9pre-bootchart-5.png
Comment 1 Adam Jackson 2008-04-18 12:16:05 EDT
What hardware is this with?

Can you attach the output of 'strace -tt -o /tmp/whatever X -pogo' from the F9
system?  This is almost certainly hardware dependent, so I'd like to see what
you're slowing down on.
Comment 2 Harald Hoyer 2008-04-18 12:46:28 EDT
Created attachment 302904 [details]
strace output
Comment 3 Harald Hoyer 2008-04-18 12:47:08 EDT
Hmm, I think its not the X Server itsself. Therefore component xinit, with all
that stuff going on in the xinit scripts.

Hardware:
http://www.smolts.org/client/show/pub_09fc449c-d5a4-4314-a5be-ee69f70e5cb3

Anyway... here is the strace attached.
Comment 4 Adam Jackson 2008-04-24 14:28:55 EDT
DDC still takes forever, as expected.  You also seem to have a gratuitous
sleep(1) in there at the end.  Pretty sure that was from the keyboard driver,
and should be fixed by now.  What version of xorg-x11-drv-keyboard do you have
installed?
Comment 5 Harald Hoyer 2008-04-24 16:14:35 EDT
that was a F9 Preview Live i686... dunno what is on there.. 
Comment 6 Adam Jackson 2008-05-13 14:49:08 EDT
I think that 1s stall was actually a bug between xtrans and libX11.  Fixed
upstream, gonna update that shortly.
Comment 7 Bug Zapper 2008-05-14 05:39:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Adam Jackson 2008-08-28 14:47:47 EDT
Fixed in libXfont 1.3.3-1.fc10, closing.

Note You need to log in before you can comment on or make changes to this bug.